"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.WithTooltip = exports.WithIcon = exports.Primary = exports.OnlyIcon = exports.Loading = exports.AsA = exports.AllButton = void 0;
var _react = _interopRequireWildcard(require("react"));
var _styledComponents = _interopRequireDefault(require("styled-components"));
var _phosphorReact = require("phosphor-react");
var _ = require("..");
var _templateObject;
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
function _taggedTemplateLiteral(strings, raw) { if (!raw) { raw = strings.slice(0); } return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }
function _iterableToArrayLimit(arr, i) { var _i = arr == null ? null : typeof Symbol !== "undefined" && arr[Symbol.iterator] || arr["@@iterator"]; if (_i == null) return; var _arr = []; var _n = true; var _d = false; var _s, _e; try { for (_i = _i.call(arr); !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }
function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
var _default = {
  title: 'HTML-Like Component/Button',
  component: _.Button,
  argTypes: {
    children: {}
  }
};
exports.default = _default;
var Template = function Template(args) {
  return /*#__PURE__*/_react.default.createElement(_.Button, args);
};
var Primary = Template.bind({});
exports.Primary = Primary;
Primary.args = {
  children: 'hello, World!',
  onClick: function onClick() {
    return null;
  }
};
var OnlyIcon = Template.bind({});
exports.OnlyIcon = OnlyIcon;
OnlyIcon.args = {
  icon: /*#__PURE__*/_react.default.createElement(_phosphorReact.Check, null)
};
var WithIcon = Template.bind({});
exports.WithIcon = WithIcon;
WithIcon.args = {
  icon: /*#__PURE__*/_react.default.createElement(_phosphorReact.Check, null),
  children: 'hello, World!'
};
var AsA = Template.bind({});
exports.AsA = AsA;
AsA.args = {
  children: 'hello, World!',
  as: 'a',
  href: '/'
};
var LoadingTemplate = function LoadingTemplate(args) {
  var _useState = (0, _react.useState)(false),
    _useState2 = _slicedToArray(_useState, 2),
    loading = _useState2[0],
    setLoading = _useState2[1];
  var timer = (0, _react.useRef)();
  var onClick = function onClick() {
    setLoading(true);
    clearInterval(timer.current);
    timer.current = setTimeout(function () {
      setLoading(false);
    }, 2000);
  };
  return /*#__PURE__*/_react.default.createElement(_.Button, _extends({}, args, {
    onClick: onClick,
    isLoading: loading
  }));
};
var Loading = LoadingTemplate.bind({});
exports.Loading = Loading;
Loading.args = {
  icon: /*#__PURE__*/_react.default.createElement(_phosphorReact.Check, null),
  children: 'hello, World!',
  width: '200px'
};
var Div = _styledComponents.default.div(_templateObject || (_templateObject = _taggedTemplateLiteral(["\n    position: relative;\n"])));
var WithTooltipTemplate = function WithTooltipTemplate(args) {
  var _args$tooltip, _args$tooltip2, _args$tooltip3, _args$tooltip4;
  return /*#__PURE__*/_react.default.createElement(Div, null, /*#__PURE__*/_react.default.createElement(_.Flex.Column, {
    gap: "32px",
    style: {
      alignItems: 'center'
    }
  }, /*#__PURE__*/_react.default.createElement(_.Button, args), /*#__PURE__*/_react.default.createElement(_.Button, {
    icon: /*#__PURE__*/_react.default.createElement(_phosphorReact.Check, null),
    variant: "text",
    tooltip: {
      text: args === null || args === void 0 ? void 0 : (_args$tooltip = args.tooltip) === null || _args$tooltip === void 0 ? void 0 : _args$tooltip.text,
      direction: 'top'
    }
  }), /*#__PURE__*/_react.default.createElement(_.Button, {
    icon: /*#__PURE__*/_react.default.createElement(_phosphorReact.Check, null),
    variant: "text",
    tooltip: {
      text: args === null || args === void 0 ? void 0 : (_args$tooltip2 = args.tooltip) === null || _args$tooltip2 === void 0 ? void 0 : _args$tooltip2.text,
      direction: 'right'
    }
  }), /*#__PURE__*/_react.default.createElement(_.Button, {
    icon: /*#__PURE__*/_react.default.createElement(_phosphorReact.Check, null),
    variant: "text",
    tooltip: {
      text: args === null || args === void 0 ? void 0 : (_args$tooltip3 = args.tooltip) === null || _args$tooltip3 === void 0 ? void 0 : _args$tooltip3.text,
      direction: 'bottom'
    }
  }), /*#__PURE__*/_react.default.createElement(_.Button, {
    icon: /*#__PURE__*/_react.default.createElement(_phosphorReact.Check, null),
    variant: "text",
    tooltip: {
      text: args === null || args === void 0 ? void 0 : (_args$tooltip4 = args.tooltip) === null || _args$tooltip4 === void 0 ? void 0 : _args$tooltip4.text,
      direction: 'left'
    }
  })));
};
var WithTooltip = WithTooltipTemplate.bind({});
exports.WithTooltip = WithTooltip;
WithTooltip.args = {
  children: 'hello, World!',
  onClick: function onClick() {
    return null;
  },
  tooltip: {
    text: 'ToolTip',
    direction: 'right'
  }
};
var AllButtonTemplate = function AllButtonTemplate(args) {
  var _useState3 = (0, _react.useState)('Button 버튼'),
    _useState4 = _slicedToArray(_useState3, 2),
    text = _useState4[0],
    setText = _useState4[1];
  return /*#__PURE__*/_react.default.createElement(_.Flex.Column, {
    gap: "8px"
  }, /*#__PURE__*/_react.default.createElement(_.Flex.Row, null, /*#__PURE__*/_react.default.createElement(_.TextField, {
    label: "Children",
    value: text,
    onChange: function onChange(e) {
      return setText(e.target.value);
    }
  })), /*#__PURE__*/_react.default.createElement(_.Flex.Row, {
    gap: "8px"
  }, /*#__PURE__*/_react.default.createElement(_.Text, {
    style: {
      width: '100px'
    }
  }, "contained"), /*#__PURE__*/_react.default.createElement(_.Button, {
    variant: "contained",
    color: "gray"
  }, text), /*#__PURE__*/_react.default.createElement(_.Button, {
    variant: "contained",
    color: "blue"
  }, text), /*#__PURE__*/_react.default.createElement(_.Button, {
    variant: "contained",
    color: "red"
  }, text), /*#__PURE__*/_react.default.createElement(_.Button, {
    variant: "contained",
    color: "gray",
    disabled: true
  }, text), /*#__PURE__*/_react.default.createElement(_.Button, {
    variant: "contained",
    color: "blue",
    disabled: true
  }, text), /*#__PURE__*/_react.default.createElement(_.Button, {
    variant: "contained",
    color: "red",
    disabled: true
  }, text), /*#__PURE__*/_react.default.createElement(_.Button, {
    variant: "contained",
    color: "gray",
    isLoading: true
  }, text), /*#__PURE__*/_react.default.createElement(_.Button, {
    variant: "contained",
    color: "blue",
    isLoading: true
  }, text), /*#__PURE__*/_react.default.createElement(_.Button, {
    variant: "contained",
    color: "red",
    isLoading: true
  }, text)), /*#__PURE__*/_react.default.createElement(_.Flex.Row, {
    gap: "8px"
  }, /*#__PURE__*/_react.default.createElement(_.Text, {
    style: {
      width: '100px'
    }
  }, "default"), /*#__PURE__*/_react.default.createElement(_.Button, {
    variant: "default",
    color: "gray"
  }, text), /*#__PURE__*/_react.default.createElement(_.Button, {
    variant: "default",
    color: "blue"
  }, text), /*#__PURE__*/_react.default.createElement(_.Button, {
    variant: "default",
    color: "red"
  }, text), /*#__PURE__*/_react.default.createElement(_.Button, {
    variant: "default",
    color: "gray",
    disabled: true
  }, text), /*#__PURE__*/_react.default.createElement(_.Button, {
    variant: "default",
    color: "blue",
    disabled: true
  }, text), /*#__PURE__*/_react.default.createElement(_.Button, {
    variant: "default",
    color: "red",
    disabled: true
  }, text), /*#__PURE__*/_react.default.createElement(_.Button, {
    variant: "default",
    color: "gray",
    isLoading: true
  }, text), /*#__PURE__*/_react.default.createElement(_.Button, {
    variant: "default",
    color: "blue",
    isLoading: true
  }, text), /*#__PURE__*/_react.default.createElement(_.Button, {
    variant: "default",
    color: "red",
    isLoading: true
  }, text)), /*#__PURE__*/_react.default.createElement(_.Flex.Row, {
    gap: "8px"
  }, /*#__PURE__*/_react.default.createElement(_.Text, {
    style: {
      width: '100px'
    }
  }, "outlined"), /*#__PURE__*/_react.default.createElement(_.Button, {
    variant: "outlined",
    color: "gray"
  }, text), /*#__PURE__*/_react.default.createElement(_.Button, {
    variant: "outlined",
    color: "blue"
  }, text), /*#__PURE__*/_react.default.createElement(_.Button, {
    variant: "outlined",
    color: "red"
  }, text), /*#__PURE__*/_react.default.createElement(_.Button, {
    variant: "outlined",
    color: "gray",
    disabled: true
  }, text), /*#__PURE__*/_react.default.createElement(_.Button, {
    variant: "outlined",
    color: "blue",
    disabled: true
  }, text), /*#__PURE__*/_react.default.createElement(_.Button, {
    variant: "outlined",
    color: "red",
    disabled: true
  }, text), /*#__PURE__*/_react.default.createElement(_.Button, {
    variant: "outlined",
    color: "gray",
    isLoading: true
  }, text), /*#__PURE__*/_react.default.createElement(_.Button, {
    variant: "outlined",
    color: "blue",
    isLoading: true
  }, text), /*#__PURE__*/_react.default.createElement(_.Button, {
    variant: "outlined",
    color: "red",
    isLoading: true
  }, text)), /*#__PURE__*/_react.default.createElement(_.Flex.Row, {
    gap: "8px"
  }, /*#__PURE__*/_react.default.createElement(_.Text, {
    style: {
      width: '100px'
    }
  }, "gray"), /*#__PURE__*/_react.default.createElement(_.Button, {
    variant: "text",
    color: "gray"
  }, text), /*#__PURE__*/_react.default.createElement(_.Button, {
    variant: "text",
    color: "blue"
  }, text), /*#__PURE__*/_react.default.createElement(_.Button, {
    variant: "text",
    color: "red"
  }, text), /*#__PURE__*/_react.default.createElement(_.Button, {
    variant: "text",
    color: "gray",
    disabled: true
  }, text), /*#__PURE__*/_react.default.createElement(_.Button, {
    variant: "text",
    color: "blue",
    disabled: true
  }, text), /*#__PURE__*/_react.default.createElement(_.Button, {
    variant: "text",
    color: "red",
    disabled: true
  }, text), /*#__PURE__*/_react.default.createElement(_.Button, {
    variant: "text",
    color: "gray",
    isLoading: true
  }, text), /*#__PURE__*/_react.default.createElement(_.Button, {
    variant: "text",
    color: "blue",
    isLoading: true
  }, text), /*#__PURE__*/_react.default.createElement(_.Button, {
    variant: "text",
    color: "red",
    isLoading: true
  }, text)));
};
var AllButton = AllButtonTemplate.bind({});
exports.AllButton = AllButton;