"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.FooterNavigation = void 0;
var _styledComponents = _interopRequireDefault(require("styled-components"));
var _react = _interopRequireDefault(require("react"));
var _phosphorReact = require("phosphor-react");
var _ = require("..");
var _style = require("../../style");
var _templateObject, _templateObject2, _templateObject3, _templateObject4, _templateObject5;
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function _taggedTemplateLiteral(strings, raw) { if (!raw) { raw = strings.slice(0); } return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }
var ItemTitle = _styledComponents.default.div(_templateObject || (_templateObject = _taggedTemplateLiteral(["\n    font-size: 14px;\n    margin-bottom: 4px;\n    color: ", ";\n"])), _style.cv.text1);
ItemTitle.displayName = 'Footer.Navigation.Item.Title';
var StyledTitleLink = (0, _styledComponents.default)(_.Link)(_templateObject2 || (_templateObject2 = _taggedTemplateLiteral(["\n    font-size: 14px;\n    margin-bottom: 4px;\n    display: flex;\n    align-items: center;\n"])));
var StyledLink = (0, _styledComponents.default)(_.Link)(_templateObject3 || (_templateObject3 = _taggedTemplateLiteral(["\n    font-size: 14px;\n"])));
var TitleLink = Object.assign(function (props) {
  return /*#__PURE__*/_react.default.createElement("div", null, /*#__PURE__*/_react.default.createElement(StyledTitleLink, _extends({}, props, {
    showUnderline: false,
    color: _style.cv.text1
  }), props.children, /*#__PURE__*/_react.default.createElement(_phosphorReact.CaretRight, {
    size: 14,
    color: _style.cv.text1,
    style: {
      marginBottom: '-2px'
    }
  })));
}, {
  displayName: 'Footer.Navigation.Item.TitleLink'
});
var ItemLink = Object.assign(function (props) {
  return /*#__PURE__*/_react.default.createElement("div", null, /*#__PURE__*/_react.default.createElement(StyledLink, _extends({}, props, {
    showUnderline: false,
    color: _style.cv.text3
  })));
}, {
  displayName: 'Footer.Navigation.Item.Link'
});
var Item = _styledComponents.default.div(_templateObject4 || (_templateObject4 = _taggedTemplateLiteral(["\n    display: flex;\n    flex-direction: column;\n    gap: 8px;\n    flex: 1;\n    width: 100%;\n"])));
Item.displayName = 'Footer.Navigation.Item';
var StyledFooterNavigation = _styledComponents.default.div(_templateObject5 || (_templateObject5 = _taggedTemplateLiteral(["\n    display: flex;\n    justify-content: space-between;\n    gap: 8px;\n\n    @media (max-width: 767px) {\n        column-gap: 12px;\n        row-gap: 48px;\n        display: grid;\n        grid-template-columns: 1fr 1fr;\n        text-align: center;\n\n        ", " {\n            align-items: center;\n        }\n    }\n"])), Item);
StyledFooterNavigation.displayName = 'Footer.Navigation';
var FooterNavigation = Object.assign(StyledFooterNavigation, {
  Item: Object.assign(Item, {
    Title: ItemTitle,
    TitleLink: TitleLink,
    Link: ItemLink
  })
});
exports.FooterNavigation = FooterNavigation;