"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.FileField = void 0;
var _phosphorReact = require("phosphor-react");
var _react = _interopRequireWildcard(require("react"));
var _styledComponents = _interopRequireDefault(require("styled-components"));
var _style = require("../../style");
var _label = require("./label");
var _excluded = ["buttonText", "icon", "label", "required", "value", "error", "width"];
var _templateObject, _templateObject2, _templateObject3, _templateObject4, _templateObject5;
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
function _taggedTemplateLiteral(strings, raw) { if (!raw) { raw = strings.slice(0); } return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }
var Divver = _styledComponents.default.div(_templateObject || (_templateObject = _taggedTemplateLiteral(["\n    width: 100%;\n"])));
var Input = _styledComponents.default.input(_templateObject2 || (_templateObject2 = _taggedTemplateLiteral(["\n    display: none;\n"])));
var FakeLabel = _styledComponents.default.div(_templateObject3 || (_templateObject3 = _taggedTemplateLiteral(["\n    z-index: 1;\n    padding: 0px 12px;\n    height: 32px;\n    display: flex;\n    align-items: center;\n    transition: 200ms;\n    flex: 1;\n    box-sizing: content-box;\n    border: 0;\n    font-size: 14px;\n    outline: solid 3px rgba(0, 0, 0, 0);\n    box-shadow: 0px 0px 3px transparent;\n    background-color: ", ";\n    color: ", ";\n    cursor: pointer;\n    border-radius: 4px;\n    gap: 8px;\n\n    &:focus {\n        background-color: ", ";\n    }\n\n    &::placeholder {\n        color: ", ";\n    }\n"])), _style.cv.bg_element1_1, _style.cv.text1, _style.cv.bg_element1, _style.cv.text3);
var Message = _styledComponents.default.div(_templateObject4 || (_templateObject4 = _taggedTemplateLiteral(["\n    height: 20px;\n    color: ", ";\n    font-size: 14px;\n    margin-top: 4px;\n"])), _style.cv.red1);
var InputDivver = _styledComponents.default.div(_templateObject5 || (_templateObject5 = _taggedTemplateLiteral(["\n    display: flex;\n    align-items: center;\n    transition: 150ms;\n    background-color: ", ";\n    height: 34px;\n    border-radius: 4px;\n    border: solid 1px ", ";\n    &:focus-within {\n        border: solid 1px ", ";\n    }\n"])), _style.cv.bg_element2, _style.cv.border4, _style.cv.border2);
var FileField = /*#__PURE__*/_react.default.forwardRef(function (_ref, ref) {
  var _ref$buttonText = _ref.buttonText,
    buttonText = _ref$buttonText === void 0 ? '파일 업로드' : _ref$buttonText,
    _ref$icon = _ref.icon,
    icon = _ref$icon === void 0 ? /*#__PURE__*/_react.default.createElement(_phosphorReact.UploadSimple, null) : _ref$icon,
    label = _ref.label,
    _ref$required = _ref.required,
    required = _ref$required === void 0 ? false : _ref$required,
    value = _ref.value,
    error = _ref.error,
    width = _ref.width,
    props = _objectWithoutProperties(_ref, _excluded);
  var inputRef = (0, _react.useRef)(null);
  (0, _react.useImperativeHandle)(ref, function () {
    return inputRef.current;
  });
  return /*#__PURE__*/_react.default.createElement(_phosphorReact.IconContext.Provider, {
    value: {
      weight: 'bold',
      size: 14,
      color: _style.cv.text1
    }
  }, /*#__PURE__*/_react.default.createElement(Divver, {
    style: {
      width: width
    }
  }, label && /*#__PURE__*/_react.default.createElement(_label.Label, {
    required: required
  }, label), /*#__PURE__*/_react.default.createElement(Input, _extends({
    type: "file"
  }, props, {
    ref: inputRef,
    value: value
  })), /*#__PURE__*/_react.default.createElement(InputDivver, null, /*#__PURE__*/_react.default.createElement(FakeLabel, {
    onClick: function onClick() {
      var _inputRef$current;
      return (_inputRef$current = inputRef.current) === null || _inputRef$current === void 0 ? void 0 : _inputRef$current.click();
    }
  }, icon, buttonText)), error && /*#__PURE__*/_react.default.createElement(Message, null, error)));
});
exports.FileField = FileField;