"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useDialog = useDialog;
var _react = _interopRequireWildcard(require("react"));
var _styledComponents = _interopRequireDefault(require("styled-components"));
var _phosphorReact = require("phosphor-react");
var _components = require("../../components");
var _modalContext = require("../useModal/modalContext");
var _style = require("../../style");
var _templateObject, _templateObject2, _templateObject3, _templateObject4, _templateObject5;
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function _taggedTemplateLiteral(strings, raw) { if (!raw) { raw = strings.slice(0); } return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }
var Padding = _styledComponents.default.div(_templateObject || (_templateObject = _taggedTemplateLiteral(["\n    padding: 16px;\n    padding-bottom: 0px;\n    font-size: 0.875rem;\n"])));
var Icon = _styledComponents.default.div(_templateObject2 || (_templateObject2 = _taggedTemplateLiteral(["\n    width: 100%;\n    display: flex;\n    align-items: center;\n    justify-content: center;\n    padding: 16px 0px 20px;\n"])));
var Title = _styledComponents.default.div(_templateObject3 || (_templateObject3 = _taggedTemplateLiteral(["\n    font-weight: 700;\n    font-size: 18px;\n    margin-bottom: 8px;\n"])));
var Content = _styledComponents.default.div(_templateObject4 || (_templateObject4 = _taggedTemplateLiteral([""])));
var Buttons = _styledComponents.default.div(_templateObject5 || (_templateObject5 = _taggedTemplateLiteral(["\n    /* background-color: ", "; */\n    margin-top: 16px;\n    display: flex;\n    align-items: center;\n    justify-content: flex-end;\n    gap: 8px;\n    /* border-top: solid 1px ", "; */\n    border-bottom-left-radius: 8px;\n    border-bottom-right-radius: 8px;\n    font-size: 0.875rem;\n    padding: 12px 16px;\n"])), _style.cv.bg_element2, _style.cv.border4);
function DialogScreen(_ref) {
  var content = _ref.content,
    close = _ref.close,
    buttons = _ref.buttons,
    title = _ref.title,
    icon = _ref.icon;
  var iconStyle = (0, _react.useMemo)(function () {
    return {
      size: 28,
      weight: 'bold'
    };
  }, []);
  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(Padding, null, icon && /*#__PURE__*/_react.default.createElement(Icon, null, /*#__PURE__*/_react.default.createElement(_phosphorReact.IconContext.Provider, {
    value: iconStyle
  }, icon)), title && /*#__PURE__*/_react.default.createElement(Title, null, title), content && /*#__PURE__*/_react.default.createElement(Content, null, content)), /*#__PURE__*/_react.default.createElement(Buttons, null, buttons.map(function (e, i) {
    return (
      /*#__PURE__*/
      // eslint-disable-next-line react/no-array-index-key
      _react.default.createElement(_components.Button, _extends({
        key: i
      }, e))
    );
  })));
}
function useDialog() {
  var modal = (0, _react.useContext)(_modalContext.ModalContext);
  return function (_ref2) {
    var title = _ref2.title,
      buttons = _ref2.buttons,
      content = _ref2.content,
      notAutoClose = _ref2.notAutoClose,
      icon = _ref2.icon;
    var MappedButtons = buttons.map(function (e) {
      return _objectSpread(_objectSpread({}, e), {}, {
        onClick: function onClick() {
          e.onClick();
          if (!notAutoClose || e.closeModal) modal.close();
        }
      });
    });
    modal.open( /*#__PURE__*/_react.default.createElement(DialogScreen, {
      close: modal.close,
      content: content,
      buttons: MappedButtons,
      title: title,
      icon: icon
    }), {
      isPadding: false
    });
  };
}