"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "builtCssVariable", {
  enumerable: true,
  get: function get() {
    return _cssVariable.builtCssVariable;
  }
});
exports.cv = exports.cssVar = void 0;
Object.defineProperty(exports, "themes", {
  enumerable: true,
  get: function get() {
    return _themeVariables.themes;
  }
});
var _cssVariable = require("./cssVariable");
var _themeVariables = require("./themeVariables");
function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
var theme = function () {
  var _document$querySelect;
  if (typeof window === 'undefined') return 'light';
  var bodyTheme = (_document$querySelect = document.querySelector('body')) === null || _document$querySelect === void 0 ? void 0 : _document$querySelect.getAttribute('data-theme');
  if (!bodyTheme) {
    return window.matchMedia && window.matchMedia('(prefers-color-scheme: dark)').matches ? 'dark' : 'light';
  }
  return bodyTheme;
}();
var cv = _objectSpread(_objectSpread(_objectSpread({}, _themeVariables.themedPalette), _cssVariable.cssPalette), {}, {
  theme: theme
});
exports.cv = cv;
var cssVar = function cssVar(name) {
  return "var(--".concat(name.replace(/_/g, '-'), ")");
};
exports.cssVar = cssVar;